Bug 812575 - Review Request: mingw-gstreamer-plugins-bad-free - Cross compiled GStreamer plug-ins "bad"
Summary: Review Request: mingw-gstreamer-plugins-bad-free - Cross compiled GStreamer p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 818769
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-15 01:25 UTC by Michael Cronenworth
Modified: 2012-05-26 08:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-26 08:00:51 UTC
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
patch needed to fix librfb linking (1023 bytes, patch)
2012-05-03 23:06 UTC, Marc-Andre Lureau
no flags Details | Diff

Description Michael Cronenworth 2012-04-15 01:25:59 UTC
Spec URL: http://michael.cronenworth.com/RPMS/mingw-gstreamer-plugins-bad-free.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-gstreamer-plugins-bad-free-0.10.23-1.fc17.src.rpm
Description: The MinGW version of the gstreamer-plugins-bad-free package in Fedora. Carried over from the fedora-cross repo.

This package requires gstreamer and gstreamer-plugins-base 0.10.36, which are not yet in F17/Rawhide, but they will be shortly.

Comment 3 Marc-Andre Lureau 2012-05-03 21:01:31 UTC
you should comment out BuildRequires mingw{32,64}-orc or submit that package first

Comment 4 Marc-Andre Lureau 2012-05-03 22:25:40 UTC
I filed 818769 with an updated package

Comment 5 Marc-Andre Lureau 2012-05-03 23:06:45 UTC
Created attachment 581982 [details]
patch needed to fix librfb linking

Comment 7 Hans de Goede 2012-05-10 13:04:02 UTC
I'll be reviewing this (Marc-André asked me too).

Comment 8 Hans de Goede 2012-05-10 13:27:40 UTC
Does not build as is (with a local build on a fully up2date Fedora-17):

There are a number of different problems:

1) The following files are named "bin/libgstfoo-0.10-23.dll" rather then: "bin/libgstfoo-0.10-0.dll":
bin/libgstbasecamerabinsrc-0.10-0.dll
bin/libgstbasevideo-0.10-0.dll
bin/libgstphotography-0.10-0.dll
bin/libgstsignalprocessor-0.10-0.dll

2) The following files are not listed in %files, but do get installed:
bin/libgstcodecparsers-0.10-23.dll
lib/libgstcodecparsers-0.10.la
lib/libgstcodecparsers-0.10.dll.a

3) The following files are in %files, but do not get build / installed:
lib/gstreamer-%{majorminor}/libgstinvtelecine.dll
lib/gstreamer-%{majorminor}/libgstmpeg4videoparse.dll

4) With the above fixed, rpmbuild will at least run to close to the end, but  there are still more
files which get installed but which are not in any %files:

error: Installed (but unpackaged) file(s) found:
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gsth264parser.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstmpeg4parser.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstmpegvideoparser.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstvc1parser.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstbasevideoutils.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstsurfacebuffer.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstsurfaceconverter.h
   /usr/i686-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/videocontext.h
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstaudiovisualizers.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstfaceoverlay.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstfreeverb.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstinter.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstremovesilence.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstsmooth.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstwininet.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libgstbasecamerabinsrc-0.10.a
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libgstbasevideo-0.10.a
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libgstcodecparsers-0.10.a
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libgstphotography-0.10.a
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libgstsignalprocessor-0.10.a
   /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/gstreamer-basevideo-0.10.pc
   /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/gstreamer-codecparsers-0.10.pc
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gsth264parser.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstmpeg4parser.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstmpegvideoparser.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/codecparsers/gstvc1parser.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstbasevideoutils.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstsurfacebuffer.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/gstsurfaceconverter.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/include/gstreamer-0.10/gst/video/videocontext.h
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstaudiovisualizers.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstfaceoverlay.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstfreeverb.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstinter.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstremovesilence.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstsmooth.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/gstreamer-0.10/libgstwininet.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstbasecamerabinsrc-0.10.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstbasevideo-0.10.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstcodecparsers-0.10.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstcodecparsers-0.10.dll.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstcodecparsers-0.10.la
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstphotography-0.10.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgstsignalprocessor-0.10.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/gstreamer-basevideo-0.10.pc
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/gstreamer-codecparsers-0.10.pc

Comment 9 Michael Cronenworth 2012-05-10 16:00:31 UTC
Sorry for wasting your time on that last package. I didn't take time out to run a build. This new package should be good to go.

Spec: http://michael.cronenworth.com/RPMS/mingw-gstreamer-plugins-bad-free.spec
SRPM: http://michael.cronenworth.com/RPMS/mingw-gstreamer-plugins-bad-free-0.10.23-5.fc17.src.rpm

Comment 10 Hans de Goede 2012-05-11 09:06:50 UTC
Full review done:

Good:
--------
- rpmlint checks return:
mingw32-gstreamer-plugins-bad-free-debuginfo.noarch: E: debuginfo-without-sources
mingw64-gstreamer-plugins-bad-free-debuginfo.noarch: E: debuginfo-without-sources
^^These are all expected for mingw packages, so no problem here ^^
mingw32-gstreamer-plugins-bad-free.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-gstreamer-plugins-bad-free-0.10.23/COPYING
mingw64-gstreamer-plugins-bad-free.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-gstreamer-plugins-bad-free-0.10.23/COPYING
mingw32-gstreamer-plugins-bad-free-debuginfo.noarch: E: description-line-too-long C This package provides debug information for package mingw32-gstreamer-plugins-bad-free.
mingw64-gstreamer-plugins-bad-free-debuginfo.noarch: E: description-line-too-long C This package provides debug information for package mingw64-gstreamer-plugins-bad-free.
^^ and these can be safely ignored too ^^
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+ and LGPLv2) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales properly handled
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Remarks:
-------------
- rpmlint checks return:
mingw32-gstreamer-plugins-bad-free.noarch: W: obsolete-not-provided mingw32-gstreamer-plugins-bad-free-static
mingw64-gstreamer-plugins-bad-free.noarch: W: obsolete-not-provided mingw64-gstreamer-plugins-bad-free-static

Were there ever mingw*-gstreamer-plugins-bad-free-static packages in Fedora? If not I suggest removing the 2 Obsoletes.

No blockers: APPROVED!

Comment 11 Michael Cronenworth 2012-05-11 13:21:16 UTC
Thanks, Hans.

The obsoletes are provided because this package is being imported from the "fedora-cross" repo, which was a temporary MinGW-w64 repo, and this package provided a -static sub-package at one time. It has been decided to not provide -static for the gstreamer plugins packages so to help "fedora-cross" users migrate to F17 proper, I am placing obsoletes in this package.

Comment 12 Michael Cronenworth 2012-05-11 13:22:25 UTC
New Package SCM Request
=======================
Package Name: mingw-gstreamer-plugins-bad-free
Short Description: Cross compiled GStreamer plug-ins "bad"
Owners: mooninite
Branches: f17

Comment 13 Gwyn Ciesla 2012-05-11 13:24:38 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2012-05-11 15:37:45 UTC
mingw-gstreamer-plugins-bad-free-0.10.23-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-gstreamer-plugins-bad-free-0.10.23-5.fc17

Comment 15 Fedora Update System 2012-05-12 19:44:54 UTC
mingw-gstreamer-plugins-bad-free-0.10.23-5.fc17 has been pushed to the Fedora 17 testing repository.

Comment 16 Fedora Update System 2012-05-26 08:00:51 UTC
mingw-gstreamer-plugins-bad-free-0.10.23-5.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.